Package com.avaya.clientservices.collaboration

## Enum CollaborationContentSharingMode

- java.lang.Object
- - java.lang.Enum<CollaborationContentSharingMode>
  - - com.avaya.clientservices.collaboration.CollaborationContentSharingMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CollaborationContentSharingMode>`

      public enum CollaborationContentSharingMode
      extends java.lang.Enum<CollaborationContentSharingMode>

  Collaboration content sharing mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NONE` | Content sharing is inactive.
    `RECEIVE` | Collaboration client receives content sharing.
    `TRANSMIT` | Collaboration client transmits content sharing.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CollaborationContentSharingMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CollaborationContentSharingMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final CollaborationContentSharingMode NONE

      Content sharing is inactive.

    - #### TRANSMIT

          public static final CollaborationContentSharingMode TRANSMIT

      Collaboration client transmits content sharing.

    - #### RECEIVE

          public static final CollaborationContentSharingMode RECEIVE

      Collaboration client receives content sharing.

  - ### Method Detail

    - #### values

          public static CollaborationContentSharingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CollaborationContentSharingMode c : CollaborationContentSharingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CollaborationContentSharingMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null